Subject: bug#44974: dabbrev-expand doesn't know wide commas are commas yet

From: Alan Third <[email-masked]>
Date: Tue, 1 Dec 2020 13:18:52 +0000

(Sorry Dan, I imagine you keep getting emails from me. I changed email
supplier yesterday and am having some trouble sending to the GNU
mailing lists. Hopefully this will be the last one!)

On Tue, Dec 01, 2020 at 08:30:31AM +0800, 積丹尼 Dan Jacobson wrote:
> The command dabbrev-expand is bound to M-/.
> 
> It is great, except it needs to be updated, to know that
> "，" is a comma, just like ",".
> 
> 哇，哈<ESC />
> a,bb<ESC />
> 
> Scanning for dabbrevs...done
> user-error: No dynamic expansion for ‘哇，哈’ found
> Scanning for dabbrevs...done
> user-error: No dynamic expansion for ‘bb’ found
> 
> Note how the latter doesn't have the "a," glued to it.
> 
> That means it is operating correctly. The former needs to be updated to
> act like the latter.

The wide comma is matched by '\s_', which matches "symbol
constituents". I guess it should perhaps be considered punctuation
instead.

-- 
Alan Third